dht::Bucket Struct Reference
Collaboration diagram for dht::Bucket:
[legend]

## Public Member Functions

| Bucket (sa_family_t af, const InfoHash &f={}, time_point t=time_point::min())
Sp< Node > | randomNode ()
void | sendCachedPing (net::NetworkEngine &ne)

## Public Attributes

sa_family_t | af {0}
InfoHash | first {}
time_point | time {time_point::min()}
std::list< Sp< Node > > | nodes {}
Sp< Node > | cached

## Detailed Description

Definition at line 31 of file routing_table.h.

## Constructor & Destructor Documentation

## Bucket() [1/2]

dht::Bucket::Bucket | ( |  | ) |

inline

Definition at line 32 of file routing_table.h.

## Bucket() [2/2]

dht::Bucket::Bucket | ( | sa_family_t | af,
|  | const InfoHash & | f = `{}`,
|  | time_point | t = `time_point::min()`
| ) |  |

inline

Definition at line 33 of file routing_table.h.

## Member Function Documentation

## randomNode()

Sp< Node > dht::Bucket::randomNode | ( |  | ) |

Return a random node in a bucket.

## Member Data Documentation

## af

sa_family_t dht::Bucket::af {0}

Definition at line 35 of file routing_table.h.

## cached

Sp<Node> dht::Bucket::cached

Definition at line 39 of file routing_table.h.

## first

InfoHash dht::Bucket::first {}

Definition at line 36 of file routing_table.h.

## nodes

std::list<Sp<Node> > dht::Bucket::nodes {}

Definition at line 38 of file routing_table.h.

## time

time_point dht::Bucket::time {time_point::min()}

Definition at line 37 of file routing_table.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/routing_table.h